=== debian/changelog ===
with-editor (2.5.0-1) unstable; urgency=medium

  * As upstream has split this from magit, creating a new package.
  * Closing ITP (Closes: #813286).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 31 Jan 2016 11:37:51 +0100
