=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 9),
	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
	install-info
Standards-Version: 3.9.6
Homepage: http://magit.vc/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, dash-el
Description: Call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.
