=== debian/watch ===
version=3
https://github.com/magit/with-editor/releases /magit/with-editor/archive/v(\d.+).tar.gz
