=== debian/changelog ===
with-editor (2.5.1-1) unstable; urgency=low

  * New upstream version.
  * Upgrade to standard version to 3.9.8 (no change).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 06 May 2016 17:15:33 +0200
