=== debian/changelog ===
with-editor (2.5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 30 Oct 2016 18:54:08 +0100

with-editor (2.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 07 Oct 2016 20:20:19 +0200

with-editor (2.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 30 Sep 2016 09:18:53 +0200

with-editor (2.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 16 Sep 2016 11:02:29 +0200
