## with-editor 2.5.9

=== Makefile ===
--- 
+++ 
@@ -149,4 +149,4 @@
 	(setq default-directory (file-truename default-directory))\
 	(setq generated-autoload-file (expand-file-name \"$@\"))\
 	(setq find-file-visit-truename t)\
-	(update-directory-autoloads default-directory)))"
+	(update-directory-autoloads default-directory))"
