=== debian/changelog ===
with-editor (2.5.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 23 Jan 2017 19:38:29 -0700

with-editor (2.5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 07 Jan 2017 13:34:53 +0100

with-editor (2.5.8-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 09 Dec 2016 18:54:55 +0100
