=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 9),
 	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
-	install-info
-Standards-Version: 3.9.6
+	install-info, texinfo
+Standards-Version: 3.9.8
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git
