## with-editor 2.5.11

=== debian/changelog ===
with-editor (2.5.11-1) unstable; urgency=medium

  * New upstream version.
  * Update depend for new dh-elpa.
  * Drop 0001-Do-not-depend-on-elpa-dash-package.patch.
  * Upgrades tandard version to 4.0.0 (no change).

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 19 Jun 2017 17:52:25 +0200
