=== debian/changelog ===
with-editor (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Drop 0002-Do-not-depend-on-async.patch
  * Drop build dependency on dash

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 13 Sep 2017 08:47:30 +0200
