## with-editor 2.7.1

=== Makefile ===
--- 
+++ 
@@ -7,18 +7,23 @@
 
 DEPS  = dash
 
-EMACS  ?= emacs
-EFLAGS ?=
-EFLAGS += --eval '(setq with-editor-emacsclient-executable nil)'
-DFLAGS ?= $(addprefix -L ../,$(DEPS))
-OFLAGS ?= -L ../dash -L ../org/lisp -L ../ox-texinfo+
+EMACS      ?= emacs
+EMACS_ARGS ?=
+EMACS_ARGS += --eval '(setq with-editor-emacsclient-executable nil)'
+
+LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
+LOAD_PATH  += -L .
+
+ifndef ORG_LOAD_PATH
+ORG_LOAD_PATH  = -L ../dash
+ORG_LOAD_PATH += -L ../org/lisp
+ORG_LOAD_PATH += -L ../org/contrib/lisp
+ORG_LOAD_PATH += -L ../ox-texinfo+
+endif
 
 INSTALL_INFO     ?= $(shell command -v ginstall-info || printf install-info)
 MAKEINFO         ?= makeinfo
 MANUAL_HTML_ARGS ?= --css-ref /assets/page.css
-
-VERSION := $(shell test -e .git && \
-	git tag | cut -c2- | sort --version-sort | tail -1)
 
 all: lisp info
 doc: info html html-dir pdf
@@ -27,18 +32,15 @@
 	$(info make all          - generate lisp and manual)
 	$(info make doc          - generate most manual formats)
 	$(info make lisp         - generate byte-code and autoloads)
-	$(info make texi         - generate texi manual)
+	$(info make texi         - generate texi manual (see comments))
 	$(info make info         - generate info manual)
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
-	$(info make bump-version - bump version strings)
 	$(info make authors      - generate AUTHORS.md)
 	$(info make preview      - preview html manual)
 	$(info make publish      - publish html manual)
 	$(info make clean        - remove most generated files)
-	$(info make clean-texi   - remove (tracked) texi manual)
-	$(info make clean-all    - remove all generated files)
 	@printf "\n"
 
 lisp: $(ELCS) loaddefs
@@ -47,22 +49,30 @@
 
 %.elc: %.el
 	@printf "Compiling $<\n"
-	@$(EMACS) -Q --batch $(EFLAGS) -L . $(DFLAGS) -f batch-byte-compile $<
+	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<
 
-bump-version:
-	@sed -i -e "s/\(#+SUBTITLE: for version \)[.0-9]*/\1$(VERSION)/" $(PKG).org
-
-texi: $(PKG).texi
 info: $(PKG).info dir
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-%.texi: %.org
-	@printf "Generating $@\n"
-	@$(EMACS) -Q --batch $(OFLAGS) \
-	-l ox-texinfo+.el $< -f org-texinfo-export-to-texinfo
-	@printf "\n" >> $@
-	@rm -f $@~
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
+ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
+ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
+ORG_EVAL += --funcall org-texinfo-export-to-texinfo
+
+# This target first bumps version strings in the Org source.  The
+# necessary tools might be missing so other targets do not depend
+# on this target and it has to be run explicitly when appropriate.
+#
+#   AMEND=t make texi    Update manual to be amended to HEAD.
+#   VERSION=N make texi  Update manual for release.
+#
+.PHONY: texi
+texi:
+	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
+	@printf "\n" >> $(PKG).texi
+	@rm -f $(PKG).texi~
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -72,23 +82,38 @@
 	@printf "Generating $@\n"
 	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
+HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
+<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
+\n<script src="/assets/js/simple-css-switch.js"></script>'
+HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
+HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'
+
 %.html: %.texi
 	@printf "Generating $@\n"
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
+	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@
 
 html-dir: $(PKG).texi
 	@printf "Generating $(PKG)/*.html\n"
 	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
+	@for f in $$(find $(PKG) -name '*.html') ; do \
+	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
+	done
 
 %.pdf: %.texi
 	@printf "Generating $@\n"
 	@texi2pdf --clean $< > /dev/null
 
 DOMAIN         ?= magit.vc
+CFRONT_DIST    ?= E2LUHBKU1FBV02
+PUBLISH_PATH   ?= /manual/
 PUBLISH_BUCKET ?= s3://$(DOMAIN)
 PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
-PUBLISH_TARGET ?= $(PUBLISH_BUCKET)/manual/
-PREVIEW_TARGET ?= $(PREVIEW_BUCKET)/manual/
+PUBLISH_TARGET ?= $(PUBLISH_BUCKET)$(PUBLISH_PATH)
+PREVIEW_TARGET ?= $(PREVIEW_BUCKET)$(PUBLISH_PATH)
 
 preview: html html-dir pdf
 	@aws s3 cp $(PKG).html $(PREVIEW_TARGET)
@@ -99,6 +124,12 @@
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
 	@aws s3 cp $(PKG).pdf $(PUBLISH_TARGET)
 	@aws s3 sync $(PKG) $(PUBLISH_TARGET)$(PKG)/
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "\
+/manual/$(PKG).html,\
+/manual/$(PKG).pdf,\
+/manual/$(PKG)/*" > /dev/null
 
 CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
 CLEAN += $(PKG) $(PKG).html $(PKG).pdf
@@ -106,14 +137,6 @@
 clean:
 	@printf "Cleaning...\n"
 	@rm -rf $(CLEAN)
-
-clean-texi:
-	@printf "Cleaning...\n"
-	@rm -f $(PKG).texi
-
-clean-all:
-	@printf "Cleaning...\n"
-	@rm -rf $(CLEAN) $(PKG).texi
 
 authors: AUTHORS.md
