=== debian/changelog ===
with-editor (2.7.1-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.1.3 (no changes)
  * Add autoload

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 13 Feb 2018 21:48:38 +0100
