=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
 	install-info, texinfo
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git
