=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-VERSION=2.5.0
+VERSION=2.6.0
 
 CP    ?= install -p -m 644
 MKDIR ?= install -p -m 755 -d
@@ -11,13 +11,14 @@
 
 override_dh_auto_build: with-editor-$(VERSION).tar
 	@echo with-editor-$(VERSION).tar > debian/elpa-with-editor.elpa
+	@make info
 
 override_dh_auto_install:
 	@echo do not run make install
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/elpa-with-editor.elpa with-editor-*.tar
+	rm -f debian/elpa-with-editor.elpa with-editor-*.tar with-editor.info dir
 
 define with_editor_pkg
 (define-package "with-editor" "$(VERSION)"
