## with-editor 2.7.3

=== debian/changelog ===
with-editor (2.7.3-1) unstable; urgency=medium

  * New upstream version
  * Change debhelper compat level
  * Use secure URLs
  * Lowercase Description
  * Update standards version to 4.1.4 (no changes)
  * Drop emacs24 from Enhances
  * Switch Vcs from alioth to salsa

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Jun 2018 18:43:43 +0200
