=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
	install-info, texinfo
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, emacs25
Description: call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.
