=== debian/changelog ===
with-editor (2.7.4-1) unstable; urgency=medium

  * New upstream version
  * Update version in debhelper depends
  * Remove unnecessary dh argument --parallel

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 29 Jul 2018 11:47:15 +0200
