## with-editor 2.8.0

=== debian/changelog ===
with-editor (2.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 11 Nov 2018 14:05:02 +0100
