## with-editor 2.8.1

=== debian/changelog ===
with-editor (2.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 02 Jan 2019 15:12:14 +0100
