=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
+Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
 	install-info, texinfo
 Standards-Version: 4.1.4
 Homepage: https://magit.vc/
