## with-editor 2.8.3

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	$(info make publish      - publish snapshot manuals)
 	$(info make release      - publish release manuals)
 	$(info make clean        - remove most generated files)
-	@printf "$(VERSION)\n"
 
 lisp: $(ELCS) loaddefs
