=== debian/changelog ===
with-editor (2.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 29 Jul 2019 11:17:46 +0200
