=== debian/changelog ===
with-editor (2.9.1-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Rémi Vanicat ]

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 13 Jan 2020 17:27:52 +0100
