=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: with-editor
 Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
 	install-info, texinfo
