=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 TAR   ?= tar
 
 %:
-	dh $@ --with elpa --parallel
+	dh $@ --with elpa
 
 override_dh_auto_build: with-editor-$(VERSION).tar
 	@echo with-editor-$(VERSION).tar > debian/elpa-with-editor.elpa
