=== debian/changelog ===
with-editor (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Nov 2020 12:26:22 -0700

with-editor (2.9.1-2) unstable; urgency=medium

  [ Nicholas D Steeves]
  * Team upload.
  * Drop emacs25 from Enhances; it has been a dummy package since buster.
  * Switch to debhelper-compat 13.
  * control: Add Rules-Requires-Root: no.

  [ Sven Joachim ]
  * d/rules: Compute VERSION from d/changelog rather than hardcoding it,
    which means it gets outdated quickly (Closes: #924512)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 31 May 2020 22:56:08 -0400
