=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.7),
	install-info, texinfo
Rules-Requires-Root: no
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Description: call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.
