## with-editor 3.0.4

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 ifndef ORG_LOAD_PATH
 ORG_LOAD_PATH  = -L ../org/lisp
-ORG_LOAD_PATH += -L ../org/contrib/lisp
+ORG_LOAD_PATH += -L ../org-contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif
 
@@ -148,6 +148,7 @@
 	@printf "Cleaning...\n"
 	@rm -rf $(CLEAN)
 
+.PHONY: authors AUTHORS.md
 authors: AUTHORS.md
 
 AUTHORS.md:
