=== debian/changelog ===
with-editor (3.0.4-1) unstable; urgency=medium

  * Team upload

  [ Rémi Vanicat ]
  * New upstream release.
  * Update the watch file

  [ Matteo F. Vescovi ]
  * debian/watch: version bump 3 -> 4
  * debian/control: S-V bump 4.1.4 -> 4.6.0 (no changes needed)

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Aug 2021 09:09:04 +0200
