=== debian/changelog ===
with-editor (3.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 17 Oct 2021 18:24:28 +0200
