=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.7),
 	install-info, texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
 Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git
