=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
-VERSION=2.6.0
+
+include /usr/share/dpkg/pkg-info.mk
+VERSION=$(DEB_VERSION_UPSTREAM)
 
 CP    ?= install -p -m 644
 MKDIR ?= install -p -m 755 -d
