=== debian/watch ===
version=4
https://github.com/magit/with-editor/releases /magit/with-editor/archive/refs/tags/v(\d.+).tar.gz
