## with-editor 3.3.0

=== debian/changelog ===
with-editor (3.3.0-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Non-maintainer upload.
  * New upstream release.  Closes: #1041330
  * Repair debian/watch.
  * Update debian/docs.
  * Update file paths in newer releases.
  * Add elpa-compat as dependency as required since 3.3.0.
  * Add elpa-vterm to "Suggests" as it provide useful hook for vterm.
  * Update Standards-Version to 4.6.2.  No change needed.

  [ Debian Janitor ]

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-elpa.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 23 Jul 2023 13:48:26 +0200
