=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/elpa-with-editor.elpa with-editor-*.tar with-editor.info dir
+	rm -f debian/elpa-with-editor.elpa with-editor-*.tar docs/with-editor.info dir
 
 define with_editor_pkg
 (define-package "with-editor" "$(VERSION)"
@@ -33,7 +33,7 @@
 	@printf "Packing $@\n"
 	@$(MKDIR) with-editor-$(VERSION)
 	@printf "$$with_editor_pkg\n" > with-editor-$(VERSION)/with-editor-pkg.el
-	@$(CP) with-editor.el with-editor-$(VERSION)
+	@$(CP) lisp/with-editor.el with-editor-$(VERSION)
 	@$(TAR) c --mtime=./with-editor-$(VERSION) \
 	  -f with-editor-$(VERSION).tar with-editor-$(VERSION)
 	@$(RMDIR) with-editor-$(VERSION)
