=== debian/watch ===
version=4
  https://github.com/magit/with-editor/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
