## with-editor 3.3.2

=== debian/changelog ===
with-editor (3.3.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:35:39 +0900

with-editor (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/rules: simplify (let dh-elpa generate *-pkg.el, use d/elpa).
  * d/control: remove explicit elpa-compat dependency (let dh-elpa add
    it).
  * Improve documentation packaging (more formats, add d/doc-base).
  * d/changelog: update copyright years.
  * Rename d/elpa-with-editor.info to d/info.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 26 Dec 2023 17:15:04 +0100
