=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-elpa,
-	install-info, texinfo
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-elpa,
+ texinfo,
+ texlive-base,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://magit.vc/
@@ -13,7 +16,7 @@
 
 Package: elpa-with-editor
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}, elpa-compat
+Depends: ${misc:Depends}, ${elpa:Depends}
 Enhances: emacs
 Suggests: elpa-vterm
 Description: call program using Emacs as $EDITOR
