## with-editor 3.4.2

=== debian/changelog ===
with-editor (3.4.2-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release.
  * Update Standards-Version to 4.7.0; no change needed
  * Add myself to uploaders
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Set upstream metadata fields: Repository
  * Add Upstream-Contact in d/copyright

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Oct 2024 08:41:56 +0800
