## with-editor 3.4.3

=== debian/changelog ===
with-editor (3.4.3-1) unstable; urgency=medium

  * New upstream release
  * Add Upstream-Name in d/copyright
  * Add d/gbp.conf matching current practice

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 02 Dec 2024 12:45:27 -0800
