=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
-Uploaders: Rémi Vanicat <vanicat@debian.org>
+Uploaders: Rémi Vanicat <vanicat@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
 Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git
