## with-editor 3.4.5

=== debian/changelog ===
with-editor (3.4.5-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 22:55:13 -0700

with-editor (3.4.4-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add d/s/options to ignore files that get regenerated during building
  * Update Homepage in d/control
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 10 Jul 2025 11:42:32 -0700
