=== debian/changelog ===
with-editor (3.4.6-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 05 Sep 2025 21:24:09 -0700
