=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Homepage: https://magit.vc/
+Standards-Version: 4.7.2
+Homepage: https://github.com/magit/with-editor
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
 Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git
