=== debian/changelog ===
with-editor (3.4.7-1) unstable; urgency=medium

  * New upstream release
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 12 Nov 2025 17:27:37 -0800
