=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  dh-elpa,
  texinfo,
  texlive-base,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/magit/with-editor
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
